// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Scene Analysis Using Webcam",
//   Sea Level Measurement Device Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2014.
//   http://www.cs.hku.hk/~sealevel/

void setup() {
  /*
    The setup() function is run once when the program starts.

    As you may have noticed,
      every Processing program associates with a window.

    The size of the window can be controlled by the size() function.
    The width and height, in number of pixels,
      are given to the function in that order.
  */

  // Sets the window to be 400 pixels in width and 300 pixels in height.
  size(400,300);

  /*
    The global variables width and height are set
      for every program to reflect the window size.
    Global variables are accessible everywhere in the program.
  */
  // What do you expect to be printed out?
  println(width);
  println(height);
}


// This is run every time the display window can be redrawn.
void draw() {
  // Let's make the background grey in colour

  // This is done using the background() fuction.
  // Argument, which must be an integer,
  //   is interpreted as the grey level.
  // 0 is black, 255 is white,
  //   and numbers in between different shades of grey.
  background(127);   // Medium grey background
}
