// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Scene Analysis Using Webcam",
//   Sea Level Measurement Device Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2014.
//   http://www.cs.hku.hk/~sealevel/

/*
  To load an image, you need an PImage object.
  Let's call the object "img".
  We declare that img is an PImage, like this:
*/
PImage img;


void setup() {
  /*
    We load an image from a file using loadImage()
      giving the file name as parameter.
  */
  img = loadImage("IMG_5743.jpg");

  /*
    The width and height of the image can be referred to as
      img.width and img.height respectively.
  */
  // Here, we make the window to be of the same size as the image.
  size(img.width, img.height);
}


void draw() {
  /*
    This specifies that the image "img" is the background
  */
  background(img);
}
