// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Scene Analysis Using Webcam",
//   Sea Level Measurement Device Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2014.
//   http://www.cs.hku.hk/~sealevel/

PImage img;


void setup() {
  // load the image
  img = loadImage("IMG_5743.jpg");

  // make window same size as that of image
  size(img.width, img.height);

  // allow us to access the image pixels
  loadPixels();
}


void draw() {
  // use image as background
  background(img);

  color p = img.pixels[img.width*mouseY + mouseX];
  println(mouseX+" "+mouseY+" "+brightness(p));
}
